Subject: Re: [PATCH v8 04/11] net/mlx4_en: add support for fast rx drop bpf program

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 15 Jul 2016 20:45:10 +0200

On Fri, 15 Jul 2016 11:08:06 -0700
Tom Herbert <[email-masked]> wrote:

> On Thu, Jul 14, 2016 at 12:25 AM, Jesper Dangaard Brouer
> <[email-masked]> wrote:
> >
> > I would really really like to see the XDP program associated with the
> > RX ring queues, instead of a single XDP program covering the entire NIC.
> > (Just move the bpf_prog pointer to struct mlx4_en_rx_ring)
> >  
> I think it would be helpful to have some concrete implementation to
> look at for this. Jesper, can you code up some patches, taking into
> account Alexei's concerns about the atomic program update problem?.

Bad timing, as I'm going on 3 weeks vacation from today.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer